<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\HammelburgVhs\VertragPdf;

class VertragDruckenController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new VertragDruckenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new VertragDruckenRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new VertragDruckenPresenter($pUseCaseResponse);
  }
}